Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88133 - RFE: place #skip-networking in /etc/my.cnf for mysql to avoid security issue
Summary: RFE: place #skip-networking in /etc/my.cnf for mysql to avoid security issue
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
: 88134 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-06 14:48 UTC by Bryce Nesbitt
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-11-10 18:23:34 UTC


Attachments (Terms of Use)

Description Bryce Nesbitt 2003-04-06 14:48:44 UTC
Description of problem:
-----------------------
Many people run mysql on the same machine as the web server, and thus don't need
external networking enabled at ALL.  A service that is turned off is always more
secure than a service that's turned on.

Mysql comes by default with:


Proposed solution (for /etc/my.cnf):
------------------------------------
If you'd add a commented-out "skip networking" line in /etc/my.cnf, more people
would discover how to turn off networking:  

[mysqld]
datadir=/var/lib/mysql
socket=/var/lib/mysql/mysql.sock
#skip-networking

[mysql.server]
user=mysql
basedir=/var/lib
#skip-networking

[safe_mysqld]
err-log=/var/log/mysqld.log
pid-file=/var/run/mysqld/mysqld.pid
#skip-networking

Comment 1 Patrick Macdonald 2003-04-07 13:02:10 UTC
*** Bug 88134 has been marked as a duplicate of this bug. ***

Comment 2 Patrick Macdonald 2003-04-07 13:31:46 UTC
Just marking this as an enhancement for now.  We'll take a look at it this week.

Comment 3 Patrick Macdonald 2003-11-10 18:23:34 UTC
After thinking about this for a while, we will not be changing the 
my.cnf file with the additional requested information.  Not that 
there is never a need to skip networking, it's just that the default 
from MySQL is not to skip it.  There are several other options that a
user may wish to enable / disable depending on their situation.  We
would have to put all equally important switches into my.cnf (commented
out).  Users should look at the documentation for information on 
setting up their servers.    


Note You need to log in before you can comment on or make changes to this bug.